/*
 * Copyright (c) 2007-2010 Sonatype, Inc.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 */
package org.sonatype.sisu.assembler.gshell.internal;

import org.sonatype.gshell.command.IO;
import org.sonatype.p2.bridge.LogProxy;

public class IOLogProxy
    implements LogProxy
{

    private final IO io;

    public IOLogProxy( final IO io )
    {
        this.io = io;
    }

    public void info( final CharSequence content )
    {
        io.println( content );
    }

}
