/*
 * Copyright (c) 2007-2010 Sonatype, Inc.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 */
package org.sonatype.sisu.assembler.gshell.internal;

import java.io.File;
import java.io.IOException;

import org.sonatype.gshell.command.support.CommandActionSupport;
import org.sonatype.gshell.file.FileSystemAccess;

public abstract class P2Command
    extends CommandActionSupport
{

    static File getLocation( final FileSystemAccess fileSystem )
        throws IOException
    {
        return fileSystem.getUserDir();
    }

}
